package crawler

import (
	"fmt"

	"github.com/maximotejeda/us_dop_scrapper/internal/ports"
)

func Selector(who string) (ports.APIPorts, error) {
	var parser ports.APIPorts
	switch who {
	case "apap":
		parser = NewApap()
	default:
		return nil, fmt.Errorf("not recognize who: " + who)
	}
	return parser, nil
}
